## org.apache.http.client.utils
Class Rfc3492Idn

    java.lang.Object
      org.apache.http.client.utils.Rfc3492Idn

All Implemented Interfaces:
  Idn

    @Immutable
    public class Rfc3492Idn

extends Object
implements Idn

Implementation from pseudo code in RFC 3492.

Since:
  4.0

Constructor Summary
`Rfc3492Idn()`

Method Summary
`protected String` `decode(String input)`
`String` `toUnicode(String punycode)` Converts a name from its punycode representation to Unicode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rfc3492Idn

    public Rfc3492Idn()

Method Detail

### toUnicode

    public String toUnicode(String punycode)

  Description copied from interface: `Idn`
  Converts a name from its punycode representation to Unicode. The name may be a single hostname or a dot-separated qualified domain name.

  Specified by:
    `toUnicode` in interface `Idn`
  Parameters:
    `punycode` - the Punycode representation
  Returns:
    the Unicode domain name

### decode

    protected String decode(String input)

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.